import { AfterViewInit, EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { TypographyType } from '../typography/TypographyType';
import { FormControl } from '@angular/forms';
import { ThemesService } from '@progress-chef/interact-themes';
import { MultiSelectComponent } from '@progress/kendo-angular-dropdowns';
import * as i0 from "@angular/core";
export declare class MultiSelectDropdownComponent implements OnChanges, AfterViewInit {
    private themesService;
    label: string;
    id: string;
    data: Array<any>;
    isDisabled: boolean;
    clearButton: boolean;
    fillMode: "flat" | "solid" | "outline" | "none";
    checkboxes: boolean;
    filterable: boolean;
    placeholder: string;
    readonly: boolean;
    rounded: "small" | "medium" | "large" | "full" | "none";
    size: "small" | "medium" | "large" | "none";
    textField: string;
    valueField: any;
    model: any;
    valuePrimitive: boolean;
    modelChange: EventEmitter<any>;
    control: FormControl;
    fontType: TypographyType;
    focus: boolean;
    autoClose: boolean;
    constructor(themesService: ThemesService);
    multiSelect: MultiSelectComponent;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    emitModelChange(ev: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MultiSelectDropdownComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MultiSelectDropdownComponent, "lib-multi-select-dropdown", never, { "label": { "alias": "label"; "required": false; }; "id": { "alias": "id"; "required": false; }; "data": { "alias": "data"; "required": false; }; "isDisabled": { "alias": "isDisabled"; "required": false; }; "clearButton": { "alias": "clearButton"; "required": false; }; "fillMode": { "alias": "fillMode"; "required": false; }; "checkboxes": { "alias": "checkboxes"; "required": false; }; "filterable": { "alias": "filterable"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "rounded": { "alias": "rounded"; "required": false; }; "size": { "alias": "size"; "required": false; }; "textField": { "alias": "textField"; "required": false; }; "valueField": { "alias": "valueField"; "required": false; }; "model": { "alias": "model"; "required": false; }; "valuePrimitive": { "alias": "valuePrimitive"; "required": false; }; "control": { "alias": "control"; "required": false; }; "fontType": { "alias": "fontType"; "required": false; }; "focus": { "alias": "focus"; "required": false; }; "autoClose": { "alias": "autoClose"; "required": false; }; }, { "modelChange": "modelChange"; }, never, never, false, never>;
}
